%define _altdata_dir %_datadir/alterator

Name: alterator-nsswitch
Version: 0.3
Release: alt1.M40.3

Packager: Stanislav Ievlev <inger@altlinux.org>
BuildArch: noarch

Source:%name-%version.tar

Summary: alterator module for glibc nss
License: GPL
Group: System/Configuration/Other
Requires: alterator >= 2.9 gettext
Conflicts: alterator-fbi < 0.15-alt2

BuildPreReq: alterator >= 3.1, alterator-fbi >= 0.7-alt1

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator

%description
alterator module for glibc nss

%prep
%setup -q

%build
%make_build libdir=%_libdir

%install
%makeinstall HTMLROOT=%buildroot%_var/www/
%find_lang %name

%files -f %name.lang
%_var/www/html/*
%_datadir/alterator/applications/*
%_datadir/alterator/ui/*
%_datadir/alterator/help/*/*
%_alterator_backend3dir/*

%changelog
* Wed Aug 27 2008 Michael Shigorin <mike@altlinux.org> 0.3-alt1.M40.3
- proofread uk.po

* Wed Aug 27 2008 Michael Shigorin <mike@altlinux.org> 0.3-alt1.M40.2
- added Ukrainian translations

* Tue Apr 22 2008 Grigory Batalov <bga@altlinux.ru> 0.3-alt1.M40.1
- Unquote LDAP base DN.
- Use alterator-sh-functions and libshell.

* Tue Jan 15 2008 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- support both nss_ldap and nss-ldapd configs
- update to new help system

* Mon Sep 10 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt3
- tune default timeouts

* Thu Jun 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2
- fix backend

* Thu Jun 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- add qt ui
- improve html ui

* Fri Jun 08 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt6
- help improvements from kirill@

* Tue Jun 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt5
- comment out 'host' option to avoid conflict with uri

* Mon Jun 04 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt4
- add help.

* Thu May 31 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt3
- improve constraints

* Wed May 30 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- exclude ldap from list if appropriate nss module doesn't exists

* Tue May 29 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial release
